<script src="./Script.js"></script>

<template>
  <date-picker
    :lang="lang"
    :clearable="true"
    :editable="true"
    format="HH:mm"
    v-model="newValue"
    :not-before="not_before"
    :not-after="not_after"
    type="time"
    @input="$emit('input', newValue);"
    @change="$emit('change', newValue);"
    :minute-step="1"
  >
    <template slot="calendar-icon">
      <i class="icon icon-wall-clock1"></i>
    </template>
  </date-picker>
</template>
